\newpage

\subsection{Service 4: Parameter Statistics Reporting}

\begin{description}
	\item[Objective]\hfill\\
	
	This service is used to evaluate statistic on-board for on-board parameters. Maximum, minimum, mean and standard deviation values of on-board parameters get reported to ground to reduce to quantity of engineering data. All statistics are reported with the same \textit{Reporting Interval} but a different \textit{Sampling Interval} can be specified for each \textit{Parameter Statistics Definition}. Reports get only generated if the \textit{Parameter Statistics Definition} is enabled.\\
	At most one \textit{Parameter Statistics Definition} should be used for each parameter.
	\item[Service Summary]\hfill\\
	
	\begin{table}[h]
		\centering
		\begin{tabular}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
			\toprule
			\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
			\midrule
			\rowcolor{TcHeader!20}TC & 4,1 & Report the parameter statistics\\
			\rowcolor{TmHeader!20}TM & 4,2 & Parameter statistics report\\
			\rowcolor{TcHeader!20}TC & 4,3 & Reset the parameter statistics\\
			\rowcolor{TcHeader!20}TC & 4,4 & Enable the periodic parameter reporting\\
			\rowcolor{TcHeader!20}TC & 4,5 & Disable the periodic parameter reporting\\
			\rowcolor{TcHeader!20}TC & 4,6 & Add or update parameter statistics definitions\\
			\rowcolor{TcHeader!20}TC & 4,7 & Delete parameter statistics definitions\\
			\rowcolor{TcHeader!20}TC & 4,8 & Report the parameter statistics definitions\\
			\rowcolor{TmHeader!20}TM & 4,9 & Parameter statistics definition report\\
			\bottomrule
		\end{tabular}
		\caption{Service 4 Summary}
	\end{table}
	
\end{description}


% ------------------------------------------------------------------------------
% TC 4,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{4,1} & \textbf{Report the parameter statistics}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a complete report of the parameter statistics. The answer for this request is TM(4,2).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 4 \\
		
		Service Subtype & 1 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|c|}
			\hline
			\rowcolor{TcHeader}
			Reset Flag\\
			\hline
			\hline
			\rowcolor{TcBody}
			Boolean\\
			\hline
			\rowcolor{TcBody}
			8 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(4,1)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Reset Flag}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=1 &PFC=8 \end{tabular} & Indicator whether or not the statistics should be reset after the generation of the report. Possible values are:\newline0 - No Reset\newline1 - Reset\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If any other value than the ones specified above are used in the corresponding field the application data field becomes invalid.		
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 4,2
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{4,2} & \textbf{Parameter statistics report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the complete parameter statistics. The generation of this TM is initiated by receiving TC(4,1).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 4 \\
		
		Service Subtype & 2 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.005\textwidth}p{0.2\textwidth}}
			\hhline{|-----|~~}
			\rowcolor{TmHeader!85}
			Start Time & End Time & N & Param ID & Number of\newline Samples & & \cellcolor{white}\\
			\hhline{|-----|~~}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{|-----|~~}
			\rowcolor{TmBody}
			Absolute Time & Absolute Time & Unsigned Integer & Enum & Unsigned Integer & & \cellcolor{white}\\
			\hhline{|-----|~~}
			\rowcolor{TmBody}
			64 Bit&64 Bit&8 Bit&24 Bit&16 Bit& & \cellcolor{white}\\
			\hhline{|-----|~~}
			\multicolumn{3}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$ Repeated N times} & \multicolumn{2}{c}{}\\
		\end{tabular}\\
		
		
		\vspace{0.75cm}
		
		\begin{tabular}{p{0.15\textwidth}p{0.005\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.11\textwidth}|}
			\hhline{~~|------|}
			\rowcolor{TmHeader!85}
			\cellcolor{white} & &\multicolumn{2}{c|}{\cellcolor{TmHeader!85}Maximum} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85}Minimum} &&\\
			\hhline{~~|----|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|}
			\rowcolor{TmHeader!85}
			\cellcolor{white}&&Value\newline&Time&Value&Time &\multirow{-2}{*}{\parbox{0.1\textwidth}{Mean Value}}&\multirow{-2}{*}{\parbox{0.11\textwidth}{Standard Deviation Value}}\\
			\hhline{~~|------|}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
			\hhline{~~|------|}
			\rowcolor{TmBody}
			\cellcolor{white} &&Deduced & Absolute Time & Deduced &Absolute Time& Deduced & Deduced\\
			\hhline{~~|------|}
			\rowcolor{TmBody}
			\cellcolor{white}&&$n\cdot8$ Bit& 64 Bit & $n\cdot8$ Bit& 64 Bit & $n\cdot8$ Bit & $n\cdot8$ Bit\\
			\hhline{~~|------|}
			\multicolumn{2}{c}{} & \multicolumn{6}{|c|}{Repeated N times $\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		
		Source Data TM(4,2)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Start Time}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The start time of the interval over which the evaluation of the parameter statistics was performed.\\
		& \\
		\textbf{End Time}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The end time of the interval over which the evaluation of the parameter statistics was performed.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of parameters. The maximum value is 8.\\
		& \\
		\textbf{Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of the sampled parameter.\\
		& \\
		\textbf{Number of Samples}\newline \newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The number of samples used to produce the statistics.\\
		& \\
		\textbf{Maximum}\newline\begin{tabular}{p{1cm}p{1.2cm}p{1cm}} Value:& PTC=11& PFC=0\\ Time:& PTC=9 &PFC=2\end{tabular} & The maximum value sampled during the time interval and the time when the maximum value was reached. The structure of the value field will be implicitly known through the \textit{Param ID}. The size of the value field is $n\cdot8\  Bit$.\\
		& \\
		\textbf{Minimum}\newline\begin{tabular}{p{1cm}p{1.2cm}p{1cm}} Value: &PTC=11& PFC=0\\ Time:& PTC=9& PFC=2\end{tabular} & The minimum value sampled during the time interval and the time when the minimum value was reached. The structure of the value field will be implicitly known through the \textit{Param ID}. The size of the value field is $n\cdot8\  Bit$.\\
		& \\
		\textbf{Mean Value}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & The mean of the sampled values. The structure of this field will be implicitly known through the \textit{Param ID}. The size of the field is $n\cdot8\  Bit$.\\
		& \\
		\textbf{Standard Deviation\newline Value}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & The standard deviation of the sampled values. The structure of this field will be implicitly known through the \textit{Param ID}. The size of the field is $n\cdot8\  Bit$.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 4,3
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{4,3} & \textbf{Reset the parameter statistics}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request resets the complete parameter statistics.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 4 \\
		
		Service Subtype & 3 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 4,4
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{4,4} & \textbf{Enable the periodic parameter statistics reporting}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC enables the periodic reporting of the parameter statistics.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 4 \\
		
		Service Subtype & 4 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|c|}
			\hline
			\rowcolor{TcHeader}
			Reporting Interval\\
			\hline
			\hline
			\rowcolor{TcBody}
			Relative Time\\
			\hline
			\rowcolor{TcBody}
			64 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(4,4)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Reporting Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=10 &PFC=2 \end{tabular} & The time between to periodic generated reports. The used time format is CDS.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the \textit{Reporting Interval} is smaller than any used \textit{Sampling Interval} the application data field becomes invalid.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 4,5
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{4,5} & \textbf{Disable the periodic parameter statistics\newline reporting}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC disables the periodic reporting of the parameter statistics.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 4 \\
		
		Service Subtype & 5 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 4,6
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{4,6} & \textbf{Add or update parameter statistics definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC adds a new parameter statistics definition if the parameter ID is not used within the statistic service already or updates an already existent parameter statistics definition. 
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 4 \\
		
		Service Subtype & 6 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & Param ID & Sampling Interval\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum & Relative Time\\ 
			\hline
			\rowcolor{TcBody}
			8 Bit&24 Bit&64 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Application Data TC(4,6)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of parameters to add/update for the statistics. The maximum value is 19.\\
		& \\
		\textbf{Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of the parameter to add/update for the statistics.\\
		& \\
		\textbf{Sampling Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=10 &PFC=2 \end{tabular} & The time to collect samples for the calculation of the statistics. The used time format is CDS. This is an optional field.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the \textit{Sampling Interval} is bigger than the used \textit{Reporting Interval} the application data field becomes invalid.
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 4,7
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{4,7} & \textbf{Delete parameter statistics definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC deletes one or more existent parameter statistics definitions. For deleting all parameter statistics definitions the application data field shall be omitted. It is possible to delete parameter statistics definitions without respecting the periodic generation status of the definition, i.e. also enabled parameter statistics definitions can be deleted.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 4 \\
		
		Service Subtype & 7 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & Param ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit&24 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Application Data TC(4,7)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of parameters to delete. The maximum value is 71.\\
		& \\
		\textbf{Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of the parameter to delete.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 4,8
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{4,8} & \textbf{Report the parameter statistics definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a report about the parameter statistics definitions. The answer for this request is TM(4,9).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 4 \\
		
		Service Subtype & 8 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 4,9
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{4,9} & \textbf{Parameter statistics definition report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the parameter statistics definitions containing the overall \textit{Reporting Interval} and the specific \textit{Sampling Interval} for each reported parameter statistics definition. The generation of this TM is initiated by receiving TC(4,8).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 4 \\
		
		Service Subtype & 9 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			Reporting\newline Interval & N & Param ID & Sampling\newline Interval\\
			\hline
			\hline
			\rowcolor{TmBody}
			Relative Time & Unsigned\newline Integer & Enum & Relative Time\\
			\hline
			\rowcolor{TmBody}
			64 Bit&8 Bit&24 Bit&64 Bit\\
			\hline
			\multicolumn{2}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Source Data TM(4,9)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Reporting Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=10 &PFC=2 \end{tabular} & The time between two periodic generations of the report. The used time format is CDS. This is an optional field.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of parameter statistics definitions to report. The maximum value is 19.\\
		& \\
		\textbf{Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of the parameter.\\
		& \\
		\textbf{Sampling Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=10 &PFC=2 \end{tabular} & The time to collect samples of the parameter value for statistics calculation. The used time format is CDS.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill